%define upstream_name    Plack-Middleware-Session
%define upstream_version 0.30

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Session middleware that saves session data in the cookie
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cookie::Baker)
BuildRequires: perl(Digest::HMAC_SHA1) >= 1.30.0
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildRequires: perl(Plack) >= 0.991.0
BuildRequires: perl(Test::Fatal) >= 0.6.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
This is the core session object, you probably want to look at the
Plack::Middleware::Session manpage, unless you are writing your own session
middleware component.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.300.0-4pclos2017
- rebuild against updates

